/****
 *
 * Exemplo: Entrada e Sada Formatadas - fscanf() e fprintf()
 *
 * Seo: 2.7
 *
 ****/

#include <stdio.h>

int main(void)
{
   char  str[20];
   int   umInt, nValoresLidos;
   FILE *stream;

      /* Tenta abrir um novo arquivo de */
      /* texto para leitura e escrita   */
   stream = fopen("Arq1.txt", "w+");

      /* Verifica se a abertura foi bem sucedida */
   if (!stream) {
      printf("\nNao foi possivel abrir o arquivo\n");
      return 1;
   }

      /* Escreve um string e um inteiro no arquivo */
   fprintf(stream, "%s %d", "String",  125);

      /* Verifica se ocorreu erro de escrita. Se for */
      /* o caso, apresenta mensagem correspondente,  */
      /* fecha o arquivo e aborta o programa.        */
   if (ferror(stream)) {
      printf( "\n>>> Erro de escrita no arquivo\n");
      fclose(stream);
      return 1;
   }

   rewind(stream); /* Volta ao incio do arquivo */

      /* L os valores escritos no arquivo */
   nValoresLidos = fscanf(stream, "%20s %d", str, &umInt);

      /* Verifica se a leitura foi bem sucedida */
   if (nValoresLidos == 2) {
      printf( "\n>>> Valores lidos no arquivo: %s\t%d\n", str, umInt );
   } else {
      printf("\nOcorreu erro de leitura\n");
   }

   fclose(stream); /* Fecha o arquivo */

   return 0;
}

/******************* Exemplo de Execuo ******************

>>> Valores lidos no arquivo: String    125

**********************************************************/
