#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

#define TAM_CEP    8 /* Nmero de dgitos num CEP */

   /* Nmero de elementos que sero acrescentados ao */
   /* array a cada alocao ou realocao de memria */
#define ACRESCIMO 100

/****************** Definies de Tipos *******************/

   /* Tipo de chave */
typedef char tChave[TAM_CEP + 1];

typedef struct {
           tChave chave; /* CEP */
        } tElemento;

typedef struct {
           tElemento *elementos; /* Ponteiro para o array que */
                                 /* contm os elementos       */
           int        nElementos; /* Nmero de elementos */
           int        tamanhoArray;
        } tLista, *tListaPtr;

/******************* Aluses de Funes *******************/

extern tListaPtr IniciaLista(tListaPtr lista);
extern void DestroiLista(tListaPtr lista);
extern int Comprimento(tListaPtr lista);
extern tElemento ObtemElemento(tListaPtr lista, int indice);
extern int EstaVazia(tListaPtr lista);
extern void AcrescentaElemento(tListaPtr lista,
                               const tElemento *elemento);

#endif
