/****
 *
 * Arquivo Dispersao.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 07/08/2017
 * ltima modificao: 25/05/2018
 *
 * Descrio: Interface de funes de disperso
 *
 ****/

#ifndef _Dispersao_H_
#define _Dispersao_H_

/************************* Aluses ************************/

extern unsigned int DispersaoModular(const char *chave);
extern unsigned int DispersaoAditiva(const char *chave);
extern unsigned int DispersaoPolinomial(const char *chave);
extern unsigned int DispersaoMultiplicativa(const char *str);
extern unsigned int DispersaoRotativa(const char *chave);
extern unsigned int DispersaoMistura(const char *chave);

#endif
