/****
 *
 * Exemplo: Separando um String em Partes (Tokens): strtok()
 *
 * Seo: 9.10.1
 *
 ****/

#include <stdio.h>
#include <string.h>

int main(void)
{
   char string[] = "um,dois,,quatro,cinco";
   char separadores[] = " ,"; /* Note o espao em branco */
   char *token;
   int  i = 0;

   printf("\nString a ser separado em tokens: "
          "\"%s\"\n", string);
   printf("\nOs tokens sao:\n");

   token = strtok(string, separadores);

   while (token) {
      printf("\tToken %d: %s\n", ++i,
             *token ? token : "<vazio>");
      token = strtok(NULL, separadores);
   }

   return 0;
}

/****************** Resultado do Programa *****************

String a ser separado em tokens: "um,dois,,quatro,cinco"

Os tokens sao:
        Token 1: um
        Token 2: dois
        Token 3: quatro
        Token 4: cinco

**********************************************************/
