#ifndef _Lista_H_
#define _Lista_H_

/****************** Definies de Tipos *******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef struct {
           int linha;
           int pos;
        } tConteudoMachado;

typedef tConteudoMachado tConteudo; /* Por comodidade */

   /* Tipo de n e tipo de ponteiro para n de uma lista encadeada */
typedef struct no {
           tConteudo  conteudo;
           struct no *proximo;
        } tNoSE, *tListaSE;

/************************* Aluses ************************/

extern void IniciaListaSE(tListaSE *lista);
extern int ComprimentoListaSE(tListaSE lista);
extern void InsereNoLSE(tListaSE *lista, tConteudo conteudo);
extern int RemoveNoLSE(tListaSE *lista, tConteudo conteudo);
extern int EstaVaziaLSE(tListaSE lista);
extern tConteudo *BuscaListaSE(tListaSE lista, tConteudo valor);
extern int AlteraConteudoLSE(tListaSE lista, tConteudo antigo, tConteudo novo);
extern void DestroiListaSE(tListaSE *lista);
extern tConteudo *ProximoListaSE(tListaSE lista);

#endif
