/****
 *
 * Arquivo TabelaDEA.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 07/06/2010
 * ltima modificao: 07/06/2010
 *
 * Descrio: Iterface das funes que implementam operaes
 *            de busca, insero e remoo usando disperso
 *            com endereamento aberto
 *
 ****/

#ifndef _TabelaDEA_H_ /* Previne incluso mltipla deste arquivo */
#define _TabelaDEA_H_

#include "Tipos.h"    /* Tipos usados pelo programa */

extern tTabelaDEA CriaTabelaDEA(int nElementos);
extern int BuscaDEA( tTabelaDEA tabela, int tamanhoTab,
                     tCEP chave, tFDispersaoDEA fDispersao );
extern int InsereDEA( tTabelaDEA tabela, int tamanhoTab,
                      tCEP_Ind chaveEIndice,
                      tFDispersaoDEA fDispersao );
extern int RemoveDEA( tTabelaDEA tabela, int tamanhoTab,
                      tCEP chave, tFDispersaoDEA fDispersao );
extern int NChavesDEA(tTabelaDEA tabela, int tamanhoTab);
extern int NColetoresVaziosDEA(tTabelaDEA tabela, int tamanhoTab);
extern int NChavesRemovidasDEA(tTabelaDEA tabela, int tamanhoTab);
extern void DestroiTabelaDEA(tTabelaDEA *tabela);

#endif
