/****
 *
 * Arquivo TabelaCuco.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 07/06/2010
 * ltima modificao: 07/06/2010
 *
 * Descrio: Iterface das funes que implementam operaes
 *            de busca, insero e remoo usando disperso
 *            com endereamento aberto
 *
 ****/

#ifndef _TabelaCuco_H_ /* Previne incluso mltipla deste arquivo */
#define _TabelaCuco_H_

#include "Tipos.h"    /* Tipos usados pelo programa */

extern void CriaTabelaCuco( tTabelaCuco *tabelas, int nElementos,
                            tFDispersaoCuco fD1, tFDispersaoCuco fD2 );
extern int BuscaCuco( tTabelaCuco tabela, tCEP chave );
extern int InsereCuco( tTabelaCuco *tabela, tCEP_Ind chaveEIndice );
extern int RemoveCuco(tTabelaCuco *tabela, tCEP chave);
extern int NChavesCuco(tTabelaCuco tabela);
extern int NElementosVaziosCuco(tTabelaCuco tabela);
extern void DestroiTabelaCuco(tTabelaCuco *tabela);

#endif
