/****
 *
 * Arquivo Arquivos.h: Interface do mdulo de processamento
 *                     de arquivos
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 20/04/2004
 * ltima modificao: 19/07/2008
 *
 ****/

#ifndef _Arquivos_H_  /* Previne incluso       */
#define _Arquivos_H_  /* mltipla deste arquivo */

/*********************** Includes *************************/

#include <stdio.h>

/****************** Definies de Tipos *******************/


/******************* Aluses de Funes *******************/

extern FILE *AbreArquivo(const char *nome, const char *modo);
extern void FechaArquivo(FILE *stream, const char *nome);
extern void MoveApontador(FILE *stream, long bytes, int DeOnde);
extern int ArquivoExiste(const char *nomeArq);

#endif

