/****
 *
 * Arquivo Pilha.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 04/08/2008
 * ltima modificao: 12/05/2010
 *
 * Descrio: Interface do mdulo Pilha utilizado pelo
 *            programa de rvores B
 *
 ****/

#ifndef _Pilha2_H_ /* Previne incluso mltipla deste arquivo */
#define _Pilha2_H_

/*********************** Includes *************************/

#include "Tipos.h" /* Tipos usados pelo programa */

/******************* Aluses de Funes *******************/

extern void CriaPilha(tPilha  *p);
extern int PilhaVazia(tPilha p);
extern tElemento ElementoTopo(tPilha *p);
extern void Empilha(tElemento item, tPilha  *p);
extern tElemento Desempilha(tPilha  *p);
extern void EsvaziaPilha(tPilha  *p);
extern void CopiaPilha(tPilha *copia, const tPilha *pilha);

#endif
